Bug 1279239 - [abrt] qbittorrent: uw_frame_state_for(): qbittorrent killed by SIGSEGV
Summary: [abrt] qbittorrent: uw_frame_state_for(): qbittorrent killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qbittorrent
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:85037c02d7ddbd1242e31fca68d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-08 19:41 UTC by Gordon Robert Speirs
Modified: 2015-12-20 07:52 UTC (History)
3 users (show)

Fixed In Version: qbittorrent-3.3.1-2.fc23 qbittorrent-3.3.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-19 18:27:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (76.19 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: core_backtrace (8.34 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: dso_list (17.19 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: environ (2.05 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: maps (82.48 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: mountinfo (3.61 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: open_fds (4.47 KB, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details
File: var_log_messages (768 bytes, text/plain)
2015-11-08 19:41 UTC, Gordon Robert Speirs
no flags Details

Description Gordon Robert Speirs 2015-11-08 19:41:00 UTC
Description of problem:
Simply launched the application from Gnome Shell and it crashed upon launch.

Version-Release number of selected component:
qbittorrent-3.2.4-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        qbittorrent
crash_function: uw_frame_state_for
executable:     /usr/bin/qbittorrent
global_pid:     9554
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 uw_frame_state_for at ./md-unwind-support.h:58
 #2 _Unwind_Backtrace at ../../../libgcc/unwind.inc:290
 #3 __backtrace at ../sysdeps/x86_64/backtrace.c:109
 #4 sigsegvHandler(int) at ../../src/app/stacktrace.h:21

Comment 1 Gordon Robert Speirs 2015-11-08 19:41:06 UTC
Created attachment 1091391 [details]
File: backtrace

Comment 2 Gordon Robert Speirs 2015-11-08 19:41:07 UTC
Created attachment 1091392 [details]
File: cgroup

Comment 3 Gordon Robert Speirs 2015-11-08 19:41:09 UTC
Created attachment 1091393 [details]
File: core_backtrace

Comment 4 Gordon Robert Speirs 2015-11-08 19:41:10 UTC
Created attachment 1091394 [details]
File: dso_list

Comment 5 Gordon Robert Speirs 2015-11-08 19:41:11 UTC
Created attachment 1091395 [details]
File: environ

Comment 6 Gordon Robert Speirs 2015-11-08 19:41:13 UTC
Created attachment 1091396 [details]
File: exploitable

Comment 7 Gordon Robert Speirs 2015-11-08 19:41:14 UTC
Created attachment 1091397 [details]
File: limits

Comment 8 Gordon Robert Speirs 2015-11-08 19:41:16 UTC
Created attachment 1091398 [details]
File: maps

Comment 9 Gordon Robert Speirs 2015-11-08 19:41:17 UTC
Created attachment 1091399 [details]
File: mountinfo

Comment 10 Gordon Robert Speirs 2015-11-08 19:41:19 UTC
Created attachment 1091400 [details]
File: open_fds

Comment 11 Gordon Robert Speirs 2015-11-08 19:41:20 UTC
Created attachment 1091401 [details]
File: proc_pid_status

Comment 12 Gordon Robert Speirs 2015-11-08 19:41:22 UTC
Created attachment 1091402 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-12-10 14:08:32 UTC
qbittorrent-3.3.1-2.fc23 rb_libtorrent-1.0.7-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-92fcafd752

Comment 14 Fedora Update System 2015-12-10 14:08:34 UTC
qbittorrent-3.3.1-2.fc22 rb_libtorrent-1.0.7-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd2f2dff6c

Comment 15 Fedora Update System 2015-12-11 06:01:27 UTC
qbittorrent-3.3.1-2.fc23, rb_libtorrent-1.0.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qbittorrent rb_libtorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-92fcafd752

Comment 16 Fedora Update System 2015-12-11 19:57:49 UTC
qbittorrent-3.3.1-2.fc22, rb_libtorrent-1.0.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qbittorrent rb_libtorrent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd2f2dff6c

Comment 17 Fedora Update System 2015-12-19 18:26:54 UTC
qbittorrent-3.3.1-2.fc23, rb_libtorrent-1.0.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-12-20 07:52:34 UTC
qbittorrent-3.3.1-2.fc22, rb_libtorrent-1.0.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.